import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';

import {
  ListPartnerStoreResolver,
  PartnerRecommendationsResolver,
} from './resolvers/partner-recommendation.resolver';

export const partnerRecommendationRoutes: Route[] = [
  // {
  //   path: '',
  //   pathMatch: 'full',
  //   redirectTo: 'all',
  // },
  {
    path: '',
    component: ListComponent,
    resolve: {
      listPartnerStore: ListPartnerStoreResolver,
    },
  },
];
